> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Google My Business Updates Results by id

> My Business Updates API will provide you with the content of posts publicly shared by any business entity on its Google My Business profile.



## OpenAPI

````yaml openapi/dataforseo.json GET /dataforseo/business_data/google/my_business_updates/task_get/{id}
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: DataForSEO API endpoints exposed through the AIsa unified gateway.
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/business_data/google/my_business_updates/task_get/{id}:
    get:
      summary: Get Google My Business Updates Results by id
      description: >-
        My Business Updates API will provide you with the content of posts
        publicly shared by any business entity on its Google My Business
        profile.
      operationId: get_dataforseo_business_data_google_my_business_updates_task_get_id
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: DataForSEO task ID.
        - name: id
          in: query
          required: false
          schema:
            type: string
          description: >-
            *task identifier* **unique task identifier in our system in the
            [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier)
            format** you will be able to use it within **30 days** to request
            the results of the task at any time
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: '*the current version of the API*'
                  version.status_code:
                    type: integer
                    description: >-
                      *general status code* you can find the full list of the
                      response codes
                      [here](https://docs.dataforseo.com/v3/appendix/errors.md)
                      **Note:** we strongly recommend designing a necessary
                      system for handling related exceptional or error
                      conditions
                  version.status_message:
                    type: string
                    description: >-
                      *general informational message* you can find the full list
                      of general informational messages
                      [here](https://docs.dataforseo.com/v3/appendix/errors.md)
                  version.time:
                    type: string
                    description: '*execution time, seconds*'
                  version.cost:
                    type: number
                    description: '*total *tasks* cost, USD*'
                  version.tasks_count:
                    type: integer
                    description: '*the number of tasks in the **`tasks`** array*'
                  version.tasks_error:
                    type: integer
                    description: >-
                      *the number of tasks in the **`tasks`** array that were
                      returned an error*
                  tasks:
                    type: array
                    items:
                      type: string
                    description: '*array of tasks*'
                  tasks.id:
                    type: string
                    description: >-
                      *task identifier* **unique task identifier in our system
                      in the
                      [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier)
                      format**
                  tasks.status_code:
                    type: integer
                    description: >-
                      *status code of the task* generated by DataForSEO; can be
                      within the following range: 10000-60000 you can find the
                      full list of the response codes
                      [here](https://docs.dataforseo.com/v3/appendix/errors.md)
                  tasks.status_message:
                    type: string
                    description: >-
                      *informational message of the task* you can find the full
                      list of general informational messages
                      [here](https://docs.dataforseo.com/v3/appendix/errors.md)
                  tasks.time:
                    type: string
                    description: '*execution time, seconds*'
                  tasks.cost:
                    type: number
                    description: '*cost of the task, USD*'
                  tasks.result_count:
                    type: integer
                    description: '*number of elements in the `result` array*'
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: '*URL path*'
                  tasks.data:
                    type: object
                    description: >-
                      *contains the same parameters that you specified in the
                      POST request*
                  result:
                    type: array
                    items:
                      type: string
                    description: '*array of results*'
                  result.keyword:
                    type: string
                    description: >-
                      *keyword received in a POST array* **keyword is returned
                      with decoded %## (plus character ‘+’ will be decoded to a
                      space character)** this field will contain the `cid`
                      parameter if you specified it in the `keyword` field when
                      setting a task; example: `cid:2946633002421908862` learn
                      more about the parameter in [this help center
                      article](https://dataforseo.com/help-center/what-is-cid-place-id-feature-id)
                  result.se_domain:
                    type: string
                    description: '*search engine domain as specified in a POST array*'
                  result.location_code:
                    type: integer
                    description: '*location code in a POST array*'
                  result.language_code:
                    type: string
                    description: '*language code in a POST array*'
                  result.check_url:
                    type: string
                    description: >-
                      *direct URL to search engine results* you can use it to
                      make sure that we provided accurate results
                  result.datetime:
                    type: string
                    description: >-
                      *date and time when the result was received* in the UTC
                      format: “yyyy-mm-dd hh-mm-ss +00:00” example: `2019-11-15
                      12:57:46 +00:00`
                  result.business_updates_id:
                    type: string
                    description: '*identifier of the business updates element in SERP*'
                  result.cid:
                    type: string
                    description: >-
                      *google-defined client id* unique id of a local
                      establishment learn more about the `cid` identifier in
                      [this help center
                      article](https://dataforseo.com/help-center/what-is-cid-place-id-feature-id)
                  result.feature_id:
                    type: string
                    description: >-
                      *the unique identifier of the element in SERP* learn more
                      about the identifier in [this help center
                      article](https://dataforseo.com/help-center/what-is-cid-place-id-feature-id)
                  result.item_types:
                    type: array
                    items:
                      type: string
                    description: >-
                      *item types* types of search engine results encountered in
                      the `items` array; possible item types:
                      `google_business_post`
                  result.items_count:
                    type: integer
                    description: '*item types* the number of items in the `items` array'
                  items:
                    type: array
                    items:
                      type: string
                    description: >-
                      *encountered item types* types of search engine results
                      encountered in the `items` array; possible item types:
                      `google_business_post`
                  items.type:
                    type: string
                    description: >-
                      *type of a link element* can take the following values:
                      `link_element`
                  items.rank_group:
                    type: integer
                    description: >-
                      *position within a group of elements with identical `type`
                      values* positions of elements with different `type` values
                      are omitted from `rank_group`
                  items.rank_absolute:
                    type: integer
                    description: >-
                      *absolute rank among all the listed updates* absolute
                      position among all present elements
                  items.position:
                    type: string
                    description: >-
                      *the alignment of the element in SERP* can take the
                      following values: `right`
                  items.xpath:
                    type: string
                    description: >-
                      *the [XPath](https://en.wikipedia.org/wiki/XPath) of the
                      element*
                  items.author:
                    type: string
                    description: '*author of the post*'
                  items.snippet:
                    type: string
                    description: '*additional content of a post*'
                  items.post_text:
                    type: string
                    description: '*main content of a post*'
                  items.url:
                    type: string
                    description: '*url of a page the link is pointing at*'
                  items.images_url:
                    type: string
                    description: '*url of an image included in the post*'
                  items.post_date:
                    type: string
                    description: >-
                      *date when a post was published* in the following format:
                      `"mm/dd/yyyy hh:mm:ss"`
                  items.timestamp:
                    type: string
                    description: >-
                      *time when a post was published* in the UTC format:
                      “yyyy-mm-dd hh-mm-ss +00:00” example: 2019-11-15 12:57:46
                      +00:00
                  items.links:
                    type: array
                    items:
                      type: string
                    description: '*links included in the post*'
                  items.title:
                    type: string
                    description: '*anchor text*'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '429':
          description: Rate limit exceeded
        '500':
          description: Internal server error
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````